var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

/*
//bootstrap and check dependencies
if (Ti.version < 1.8) {
alert('Sorry - this application template requires Titanium Mobile SDK 1.8 or later');
}
*/

// This is a single context application with multiple windows in a stack
(function() {
	var onSuccess = function() {
		var Window;
		if (toolkit.Environment.isApple && toolkit.Environment.isTablet) {
			Window = require('/ui/tablet/HomeWindow');
		} else {
			// Android uses platform-specific properties to create windows.
			// All other platforms follow a similar UI pattern.
			if (toolkit.Environment.isAndroid) {
				//Ti.App.Properties.setBool('hideActionBar',false);
				Window = require('/ui/handheld/android/HomeWindow');
			} else {
				Window = require('/ui/handheld/iphone/HomeWindow');
			}
		}
		new Window().open();
	};

	var onError = function(e) {
		toolkit.Dialog.Error(L('notconnection'));
		//alert(e);
	};

	var onConnect = function(e) {
		if (e.online) {
			Ti.Network.removeEventListener('change', onConnect);

			//Carichiamo il setting
			rules.init(onSuccess, onError);
		}
	};

	//verifichiamo se c'è connessione
	if (!Ti.Network.online) {
		toolkit.Dialog.Error(L('notconnection'));

		Ti.Network.addEventListener('change', onConnect);
	} else {
		//Carichiamo il setting
		rules.init(onSuccess, onError);
	}
})();
