var toolkit = require('/lib/toolkit');

exports.Get = function(rss, o) {
	if (!Ti.Network.online) {
		if (o.error) {
			o.error();
		};
		return;
	}
	
	var xhr = Ti.Network.createHTTPClient();
	xhr.open('GET', rss);

	xhr.onload = function() {
		var xml = this.responseXML;

		if (xml === null || xml.documentElement === null) {
			if (o.error) {
				o.error();
			};
			return;
		}

		var items = xml.documentElement.getElementsByTagName("item");
		var data = [];

		for (var i = 0; i < items.length; i++) {
			var item = items.item(i);

			data.push({
				title : toolkit.Xml.getText(item, 'title'),
				description : toolkit.Html.Encoder.htmlDecode(toolkit.Xml.getText(item, 'description')),
				imageurl : toolkit.Xml.getAttribute(item, 'enclosure', 'url'),
				//pubdate : toolkit.Date.Format(new Date(toolkit.Xml.getText(item, 'pubDate')),'dd/MM/yyyy hh:mm:ss')
				pubdate : toolkit.Xml.getText(item, 'pubDate')
			});
		}
		if (o.success) {
			o.success(data);
		};
	};

	xhr.onerror = function(e) {
		if (o.error) {
			o.error();
		};
	};

	xhr.send();
};
