var toolkit = require('/lib/toolkit');

exports.host = 'http://calcio-milanjuve.dwordlab.it/api/';
exports.UserName = 'mobile';
exports.Password = 'mobile';

exports.platform = function() {
	return Ti.Platform.osname;
};

exports.url = '?username=' + exports.UserName + '&password=' + exports.Password + '&app=' + 'MondoNapoli';

exports.settings = {};
exports.init = function(onSuccess, onError) {
	try {
		onNetSuccess = function(e) {
			exports.settings = e;
			onSuccess();
		};
		onNetError = function(e) {
			onError(e);
		};

		var uri = exports.host + 'settings' + exports.url;
		var parameters = null;
		var options = getNetOptions();

		toolkit.NET.Call(uri, parameters, options, onNetSuccess, onNetError);
	} catch(ex) {
		onError(ex);
	}
};

function getNetOptions() {
	var options = toolkit.NET.GetOptions();
	return options;
}

exports.getOrientation = function() {
	var numEleOrientation;

	if (Titanium.Platform.displayCaps.platformWidth < Titanium.Platform.displayCaps.platformHeight) {
		//Portrait
		numEleOrientation = 3;
	} else {
		//Landscape
		numEleOrientation = 4;
	}

	return numEleOrientation;
};

exports.setBackgroundImage = function(path) {
	var numEleOrientation = exports.getOrientation();

	if (numEleOrientation == 3) {
		if (toolkit.Environment.isIPad) {
			return path + 'Default-Portrait.png';
		} else {
			if (toolkit.Environment.isIPhone5) {
				return path + 'Default-568h@2x.png';
			} else {
				if (Ti.Platform.displayCaps.density == 'high')
					return path + 'Default@2x.png';
				else
					return path + 'Default.png';
			}
		}
	} else {
		if (toolkit.Environment.isIPad) {
			return path + 'Default-Landscape.png';
		} else {
			if (toolkit.Environment.isIPhone5) {
				return path + 'Default-568h@2x.png';
			} else {
				if (Ti.Platform.displayCaps.density == 'high')
					return path + 'Default@2x.png';
				else
					return path + 'Default.png';
			}
		}
	}
};

exports.setSettingsBackgroundImage = function(obj) {
	var numEleOrientation = exports.getOrientation();

	var url = '';
	if (numEleOrientation == 3) {
		if (toolkit.Environment.isIPad) {
			url = obj.iOS.iPadPortrait;
		} else {
			if (toolkit.Environment.isIPhone5) {
				url = obj.iOS.iPhone5;
			} else {
				if (toolkit.Environment.isAndroid)
					url = obj.Android.Android;
				else {
					if (Ti.Platform.displayCaps.density == 'high')
						url = obj.iOS.iPhoneRetina;
					else
						url = obj.iOS.iPhone;
				}
			}
		}
	} else {
		if (toolkit.Environment.isIPad) {
			url = obj.iOS.iPadLandscape;
		} else {
			if (toolkit.Environment.isIPhone5) {
				url = obj.iOS.iPhone5;
			} else {
				if (toolkit.Environment.isAndroid)
					url = obj.Android.Android;
				else {
					if (Ti.Platform.displayCaps.density == 'high')
						url = obj.iOS.iPhoneRetina;
					else
						url = obj.iOS.iPhone;
				}
			}
		}
	}

	return 'http://' + url;
};

exports.getRosa = function(onSuccess, onError) {
	try {
		if (!Ti.Network.online) {
			onError(L('notconnection'));
			return;
		}

		onNetSuccess = function(e) {
			onSuccess(e);
		};
		onNetError = function(e) {
			onError(e);
		};

		var uri = exports.host + 'rosa' + exports.url;
		var parameters = null;
		var options = getNetOptions();

		toolkit.NET.Call(uri, parameters, options, onNetSuccess, onNetError);
	} catch(ex) {
		onError(ex);
	}
};
