var rules = require('/lib/rules');

function BannerNewsView(fontSize) {
	fontSize=fontSize || 12;
	
	var self = Ti.UI.createView({
		color : rules.settings.Styles.BannerNews.color,
		height : 30
	});

	var getView = function(item) {
		var view = Ti.UI.createView();
		view.tag = item;

		var lbl = Ti.UI.createLabel({
			color : rules.settings.Styles.BannerNews.color,
			height : fontSize + 6,
			font : {
				fontSize : fontSize
			},
			text : item.title
		});
		view.add(lbl);

		return view;
	};

	var scrollableView = Ti.UI.createScrollableView({
		left : 0,
		right : 0,
		views : [],
		height:30
	});
	self.add(scrollableView);

	var views;
	self.requery = function(data) {
		views = [];

		var view;
		for (var i = 0; i < data.length; i++) {
			view=getView(data[i]);
			if (toolkit.Environment.isAndroid) {
				view.addEventListener('selectedItem', function(e) {
					self.fireEvent('selectedItem', e);
				});		
			}
			views.push(view);
		}
		scrollableView.views = [];
		scrollableView.views = views;
	};

	scrollableView.addEventListener('click', function() {
		if (scrollableView.currentPage < views.length)
			self.fireEvent('selectedItem', (views[scrollableView.currentPage].tag));
	});

	var timer = setInterval(function() {
		if (scrollableView.views.length > 0) {
			if (scrollableView.currentPage == scrollableView.views.length - 1) {
				scrollableView.scrollToView(0);
			} else {
				scrollableView.scrollToView(scrollableView.currentPage + 1);
			}
		}
	}, 5000);

	return self;
}

module.exports = BannerNewsView;
