var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

function getView(urlLink) {
	var self = Ti.UI.createView();

	var web = Ti.UI.createWebView({
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		scalesPageToFit : false,
		/*disableBounce : true,
		 enableZoomControls:false,
		 touchEnabled:false,*/
		url : ''
	});
	self.add(web);

	self.fill = function(force) {
		if (!Ti.Network.online) {
			toolkit.Dialog.Error(L('notconnection'));
			return;
		}

		if (web.url == '' || force)
			web.url = urlLink;
	};

	return self;
};

function ChampionsCategoryView() {
	var self = Ti.UI.createView({

	});

	var menuBarItems = ['Risultati', 'Classifica', 'Calendario'];

	var menuBarStyle = toolkit.Controls.Selector.GetOptions();
	menuBarStyle.color = '#fff';
	menuBarStyle.backgroundColor = rules.settings.Styles.Window.backgroundColor;
	menuBarStyle.colorSelectedColor = '#fff';
	menuBarStyle.backgroundSelectedColor = rules.settings.Styles.TableRow.backgroundColor;
	menuBarStyle.height = 40;
	menuBarStyle.font = {
		fontSize : 12
	};
	menuBarStyle.baselineSmall = false;
	menuBarStyle.changeColorTextOnSelect = false;

	if (toolkit.Environment.isAndroid && toolkit.Environment.isTablet) {
		menuBarStyle.height = 60;
		menuBarStyle.font = {
			fontSize : 20
		};
	}

	var menuBar = new toolkit.Controls.Selector.Create(menuBarItems, menuBarStyle);
	self.add(menuBar);
	menuBar.addEventListener('toolkit_SelectorSelected', function(e) {
		scrollable.setCurrentPage(menuBar.getIndex());
		self.fill();
	});

	var scrollable = Ti.UI.createScrollableView({
		top : menuBarStyle.height,
		showPagingControl : false
	});
	scrollable.addEventListener('scrollend', function() {
		menuBar.setIndex(scrollable.getCurrentPage());
		self.fill();
	});
	self.add(scrollable);

	var views = [];

	var risultatiView;
	var classificaView;
	var calendarioView;

	if (toolkit.Environment.isAndroid) {
		risultatiView = new getView(rules.settings.Champions.Risultati);
		classificaView = new getView(rules.settings.Champions.Classifica);
		calendarioView = new getView(rules.settings.Champions.Calendario);
	} else {
		if (toolkit.Environment.isTablet) {
			risultatiView = new getView(rules.settings.Champions.Tablet_Risultati);
			classificaView = new getView(rules.settings.Champions.Tablet_Classifica);
			calendarioView = new getView(rules.settings.Champions.Tablet_Calendario);
		} else {
			risultatiView = new getView(rules.settings.Champions.Risultati);
			classificaView = new getView(rules.settings.Champions.Classifica);
			calendarioView = new getView(rules.settings.Champions.Calendario);
		}
	}

	views.push(risultatiView);
	views.push(classificaView);
	views.push(calendarioView);

	scrollable.views = views;

	var rsslink;
	self.fill = function(force) {
		views[scrollable.getCurrentPage()].fill(force);
	};

	if (toolkit.Environment.isAndroid) {
		risultatiView.fill(true);
		classificaView.fill(true);
		calendarioView.fill(true);
	}

	return self;
};

module.exports = ChampionsCategoryView;
