var rules = require('/lib/rules');

function NewsView() {
	var self = Ti.UI.createView();

	var scroll = Ti.UI.createScrollView({
		layout : 'vertical'
	});
	self.add(scroll);

	var lblTitle = Ti.UI.createLabel({
		top : 5,
		right : 5,
		left : 5,
		font : {
			fontSize : 16
		},
		textAlign : 'center',
		color : 'white'
	});
	scroll.add(lblTitle);

	if (toolkit.Environment.isAndroid && toolkit.Environment.isTablet) {
		lblTitle.font = {
			fontSize:32
		};
	}

	var img = Ti.UI.createImageView({
		top : 10,
		width : 200,
		height : 200,
		borderColor : 'white',
		borderWidth : 1,
		visible : false
	});
	toolkit.Controls.SetIndicator(img);
	scroll.add(img);

	var lblPubDate = Ti.UI.createLabel({
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		top : -31,
		width : 198,
		height : 30,
		font : {
			fontSize : 10
		},
		textAlign : 'center',
		color : 'white'
	});
	scroll.add(lblPubDate);

	var lblDescription = Ti.UI.createLabel({
		top : 10,
		right : 5,
		left : 5,
		font : lblTitle.font,
		textAlign : 'left',
		color : 'white'
	});
	scroll.add(lblDescription);

	var item;
	self.fill = function(e) {
		self.title = e.title;

		lblTitle.text = e.title;
		lblDescription.text = e.description;

		img.RemoteImage(e.imageurl);
		img.visible = true;
		if (e.imageurl == undefined)
			img.RemoteImage('/images/logo/Default.png');

		lblPubDate.text = e.pubdate;
	};

	return self;
}

//make constructor function the public component interface
module.exports = NewsView;

