var ChampionsCategoryView = require('/ui/common/Champions/ChampionsCategoryView');

var adMob = require('ti.admob');

function ChampionsWindow() {
	var self = Ti.UI.createWindow({
		title : 'Champions league',
		fullscreen : true,
		navBarHidden:true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	var headerView = Ti.UI.createView({
		top : 0,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : self.title
	});
	headerView.add(headerLabel);
	
	if (toolkit.Environment.isTablet) {
		headerView.height=60;
		headerLabel.font={
			fontSize:30
		};
	}		
	else {
		headerView.height=30;
		headerLabel.font={
			fontSize:15
		};		
	}
	
	var championsategoryview = new ChampionsCategoryView();
	championsategoryview.top = 60;
	self.add(championsategoryview);
	
	self.fill = function(force) {
		championsategoryview.fill(force);
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		if (toolkit.Environment.isTablet) 
			championsategoryview.bottom = 130;
		else
			championsategoryview.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		championsategoryview.bottom = 0;
	});

	var bannerView = Ti.UI.createView({
		height:(Ti.Platform.displayCaps.platformHeight/480)*50,
		bottom:(Ti.Platform.displayCaps.platformHeight/480)*-50
	});
	self.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : '100%',
		height : bannerView.height,
		top : 0,
		publisherId : "ca-app-pub-6154192037192760/1621603334",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener(adMob.AD_RECEIVED,function(){	    
		Ti.App.fireEvent('iAd_loaded');
		if (bannerView.bottom != 0) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	adMobView.addEventListener(adMob.AD_NOT_RECEIVED,function(){
	    Ti.App.fireEvent('iAd_error');
	    if (bannerView.bottom == 0) {
			bannerView.animate({
				bottom : bannerView.height*-1,
				duration : 500
			});
		}
	});

	return self;
}

//make constructor function the public component interface
module.exports = ChampionsWindow;
