var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');
var rss = require('/lib/rss');

var BannerNewsView = require('/ui/common/BannerNewsView');

var NewsCategoryWindow = require('/ui/handheld/android/News/NewsCategoryWindow');
var RosaWindow = require('/ui/handheld/android/Rosa/RosaWindow');
var ClassificaWindow = require('/ui/handheld/android/Classifica/ClassificaWindow');
var ChampionsWindow = require('/ui/handheld/android/Champions/ChampionsWindow');

var adMob = require('ti.admob');

function MenuWindow() {
	//MENU
	var self = Ti.UI.createWindow({
		fullscreen : true,
		navBarHidden : true,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	var optionView = Ti.UI.createView({
		top : 0,
		left : 0,
		bottom : 0,
		width : (Ti.Platform.displayCaps.platformWidth / 2)
	});
	self.add(optionView);

	var table = Ti.UI.createTableView({
		left : 0,
		backgroundColor : '#18181a',
		separatorColor : '#000'
	});
	optionView.add(table);

	var rowHeigth = 30;
	var fontRow= {
		fontSize:15
	};
	if (toolkit.Environment.isTablet) {
		rowHeigth=60;
		fontRow= {
			fontSize:30
		};
	}

	var row1 = Ti.UI.createTableViewRow({
		title : 'Home',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});
	table.appendRow(row1);

	var row2 = Ti.UI.createTableViewRow({
		title : 'Vota l\'app',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});
	table.appendRow(row2);

	var row3 = Ti.UI.createTableViewRow({
		title : 'Seguici su Facebook',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});
	table.appendRow(row3);

	var row4 = Ti.UI.createTableViewRow({
		title : 'Seguici su YouTube',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});	
	table.appendRow(row4);

	var row5 = Ti.UI.createTableViewRow({
		title : 'Contatta sviluppatore',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});
	table.appendRow(row5);

	var row6 = Ti.UI.createTableViewRow({
		title : 'Contatta lo staff',
		color : '#fff',
		height : rowHeigth,
		font : fontRow
	});
	table.appendRow(row6);

	table.addEventListener('click', function(e) {
		switch(e.index) {
			case 0:
				main.animate({
					left : 0,
					duration : 400,
					curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
				}, function() {
					self.close();
					self.visible = false;
				});
				btnSettings.toggle = false;
				break;
			case 1:
				Ti.Platform.openURL(rules.settings.Link.GooglePlay);
				break;
			case 2:
				Ti.Platform.openURL(rules.settings.Link.Facebook);
				break;
			case 3:
				if (rules.settings.Link.YouTube != "-")
					Ti.Platform.openURL(rules.settings.Link.YouTube);
				else
					toolkit.Dialog.Error('Non ancora implementata.');
				break;
			case 4:
				Ti.Platform.openURL('http://www.dword.it');
				break;
			case 5:
				var emailDialog = Titanium.UI.createEmailDialog();
				if (!emailDialog.isSupported()) {
					toolkit.Dialog.Error('Impossibile inviare e-mail.');
					return;
				}
				emailDialog.setSubject('Richiesta informazioni');
				emailDialog.setToRecipients([rules.settings.Link.Staff]);
				emailDialog.open();
				break;
		}
	});

	//Main
	var main = Ti.UI.createView({
		top : 0,
		right : 0,
		bottom : 0,
		left : 0,
		backgroundColor : rules.settings.Styles.Window.backgroundColor
	});
	self.add(main);

	var btnSettings = Ti.UI.createButton({
		backgroundColor : '#fff'
	});
	if (toolkit.Environment.isTablet) {
		btnSettings.top = 0;
		btnSettings.left = 10;
		btnSettings.image = '/images/menu-Android.png';
	} else {
		btnSettings.top = 0;
		btnSettings.left = 0;
		btnSettings.image = '/images/menu.png';
	}

	btnSettings.addEventListener('click', function(e) {
		// If the menu is opened
		if (e.source.toggle == true) {
			main.animate({
				left : 0,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = false;
		}
		// If the menu isn't opened
		else {
			main.animate({
				left : optionView.width,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = true;
		}
	});

	var headerView = Ti.UI.createView({
		top : 0,
		backgroundColor : '#fff'
	});
	main.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : 'Menu'
	});
	headerView.add(headerLabel);
	headerView.add(btnSettings);

	if (toolkit.Environment.isTablet) {
		headerView.height = 60;
		headerLabel.font = {
			fontSize : 30
		};
	} else {
		headerView.height = 30;
		headerLabel.font = {
			fontSize : 15
		};
	}

	//Banner
	if (toolkit.Environment.isTablet)
		var bannernews = new BannerNewsView(18);
	else
		var bannernews = new BannerNewsView(8);

	bannernews.top = headerView.height;

	if (toolkit.Environment.isTablet)
		bannernews.height = headerView.height;
	else
		bannernews.height = (headerView.height / 3) * 2;

	bannernews.backgroundGradient = {
		type : 'linear',
		startPoint : {
			x : '0%',
			y : '0%'
		},
		endPoint : {
			x : '0%',
			y : '100%'
		},
		colors : [{
			color : rules.settings.Styles.Window.backgroundColor,
			offset : 0.0
		}, {
			color : rules.settings.Styles.Window.color,
			offset : 0.5
		}, {
			color : rules.settings.Styles.Window.backgroundColor,
			offset : 1.0
		}]
	};
	bannernews.addEventListener('selectedItem', function(e) {
		btnMenu1.fireEvent('click');
	});
	main.add(bannernews);

	rss.Get(rules.settings.News.UltimaOra.rss, {
		success : function(data) {
			bannernews.requery(data);
		}
	});

	var bannerShadow = Ti.UI.createView({
		top : headerView.height + bannernews.height,
		height : bannernews.height / 3 * 2,
		backgroundGradient : {
			type : 'linear',
			startPoint : {
				x : '0%',
				y : '0%'
			},
			endPoint : {
				x : '0%',
				y : '100%'
			},
			colors : [{
				color : 'black',
				offset : 0.0
			}, {
				color : rules.settings.Styles.Window.backgroundColor,
				offset : 1.0
			}]
		}
	});
	main.add(bannerShadow);

	//MenuView
	var menuView = Ti.UI.createView({
		height : (760 / 720) * Ti.Platform.displayCaps.platformWidth,
		width : Ti.Platform.displayCaps.platformWidth
	});
	main.add(menuView);

	//NewsImage
	var newsImage = Ti.UI.createImageView({
		right : 0
	});
	toolkit.Controls.SetIndicator(newsImage);
	newsImage.RemoteImage('http://' + rules.settings.Menu.News.Normal);
	menuView.add(newsImage);

	//RosaImage
	var rosaImage = Ti.UI.createImageView({
		right : 0
	});
	toolkit.Controls.SetIndicator(rosaImage);
	rosaImage.RemoteImage('http://' + rules.settings.Menu.Rosa.Normal);
	menuView.add(rosaImage);

	//ClassificaImage
	var classificaImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(classificaImage);
	classificaImage.RemoteImage('http://' + rules.settings.Menu.Classifica.Normal);
	menuView.add(classificaImage);

	//ChampionsImage
	var championsImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(championsImage);
	championsImage.RemoteImage('http://' + rules.settings.Menu.Champions.Normal);
	menuView.add(championsImage);

	//Sfondo
	var menuImage = Ti.UI.createImageView({
		top : 0,
		right : 0,
		bottom : 0,
		left : 0
	});
	toolkit.Controls.SetIndicator(menuImage);
	menuView.add(menuImage);

	menuImage.RemoteImage(rules.setSettingsBackgroundImage(rules.settings.Menu.Sfondo));

	//News
	var btnMenu1 = Ti.UI.createView({
		/*backgroundColor : 'black',
		 opacity : 0.5*/
	});
	menuView.add(btnMenu1);
	btnMenu1.addEventListener('click', function() {
		var newscategorywindow = new NewsCategoryWindow();
		newscategorywindow.open();
		newscategorywindow.addEventListener("close", function() {
			newscategorywindow = null;
		});
	});

	//Rosa
	var btnMenu2 = Ti.UI.createView({
		/*		backgroundColor : 'red',
		 opacity : 0.5*/
	});
	menuView.add(btnMenu2);
	btnMenu2.addEventListener('click', function() {
		var rosawindow = new RosaWindow();
		rosawindow.addEventListener('close', function() {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		});

		rosawindow.fill();
		rosawindow.open();

		rosawindow.addEventListener("close", function() {
			rosawindow = null;
		});
	});

	//Classifica
	var classificawindow = new ClassificaWindow();
	var btnMenu3 = Ti.UI.createView({
		/*		backgroundColor : 'red',
		 opacity : 0.5*/
	});
	menuView.add(btnMenu3);
	btnMenu3.addEventListener('click', function() {
		classificawindow.fill();
		classificawindow.open();
	});

	//Champions league
	var championswindow = new ChampionsWindow();
	var btnMenu4 = Ti.UI.createView({
		/*		backgroundColor : 'red',
		 opacity : 0.5*/
	});
	menuView.add(btnMenu4);
	btnMenu4.addEventListener('click', function() {
		championswindow.fill();
		championswindow.open();
	});
	
	newsImage.top = 0;
	newsImage.height = (menuView.height / 4);
	newsImage.width = (menuView.width * 0.9);
	rosaImage.top = (menuView.height / 4);
	rosaImage.height = (menuView.height / 4);
	rosaImage.width = (menuView.width * 0.55);
	classificaImage.top = (menuView.height / 4) * 2;
	classificaImage.right = 0;
	classificaImage.height = (menuView.height / 4);
	classificaImage.width = (menuView.width * 0.55);
	championsImage.top = (menuView.height / 4) * 3;
	championsImage.right = 0;
	championsImage.height = (menuView.height / 4);
	championsImage.width = (menuView.width * 0.9);

	//SetClickArea
	btnMenu1.top = newsImage.top;
	btnMenu1.right = newsImage.right;
	btnMenu1.height = newsImage.height;
	btnMenu1.width = newsImage.width;
	btnMenu2.top = rosaImage.top;
	btnMenu2.right = rosaImage.right;
	btnMenu2.height = rosaImage.height;
	btnMenu2.width = rosaImage.width;
	btnMenu3.top = classificaImage.top;
	btnMenu3.right = classificaImage.right;
	btnMenu3.height = classificaImage.height;
	btnMenu3.width = classificaImage.width;
	btnMenu4.top = championsImage.top;
	btnMenu4.right = championsImage.right;
	btnMenu4.height = championsImage.height;
	btnMenu4.width = championsImage.width;

	var bannerView = Ti.UI.createView({
		height:(Ti.Platform.displayCaps.platformHeight/480)*50,
		bottom:(Ti.Platform.displayCaps.platformHeight/480)*-50
	});
	main.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : '100%',
		height : bannerView.height,
		top : 0,
		publisherId : "ca-app-pub-6154192037192760/1621603334",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener(adMob.AD_RECEIVED,function(){	    
		if (bannerView.bottom != 0) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	adMobView.addEventListener(adMob.AD_NOT_RECEIVED,function(){
	    if (bannerView.bottom == 0) {
			bannerView.animate({
				bottom : bannerView.height*-1,
				duration : 500
			});
		}
	});

	return self;
}

module.exports = MenuWindow;
