var toolkit = require('/lib/toolkit');

var NewsCategoryView = require('/ui/common/News/NewsCategoryView');
var NewsWindow = require('/ui/handheld/android/News/NewsWindow');

var adMob = require('ti.admob');

function NewsCategoryWindow() {
	var self = Ti.UI.createWindow({
		fullscreen : true,
		navBarHidden:true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	self.addEventListener("open", function() {
		newscategoryview.fill(true);
	});
	
	var headerView = Ti.UI.createView({
		top : 0,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : 'News'		
	});
	headerView.add(headerLabel);
	
	if (toolkit.Environment.isTablet) {
		headerView.height=60;
		headerLabel.font={
			fontSize:30
		};
	}		
	else {
		headerView.height=30;
		headerLabel.font={
			fontSize:15
		};		
	}
	
	var newswindow = new NewsWindow();
	
	var newscategoryview = new NewsCategoryView();
	newscategoryview.top = headerView.height;
	self.add(newscategoryview);

	newscategoryview.addEventListener('selectedItem', function(e) {
		newswindow.fill(e);
		newswindow.open();
	});

	Ti.App.addEventListener('iAd_loaded', function() {
		if (toolkit.Environment.isTablet) 
			newscategoryview.bottom = 130;
		else
			newscategoryview.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		newscategoryview.bottom = 0;
	});

	var bannerView = Ti.UI.createView({
		height:(Ti.Platform.displayCaps.platformHeight/480)*50,
		bottom:(Ti.Platform.displayCaps.platformHeight/480)*-50
	});
	self.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : '100%',
		height : bannerView.height,
		top : 0,
		publisherId : "ca-app-pub-6154192037192760/1621603334",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener(adMob.AD_RECEIVED,function(){	    
		Ti.App.fireEvent('iAd_loaded');
		if (bannerView.bottom != 0) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	adMobView.addEventListener(adMob.AD_NOT_RECEIVED,function(){
	    Ti.App.fireEvent('iAd_error');
	    if (bannerView.bottom == 0) {
			bannerView.animate({
				bottom : bannerView.height*-1,
				duration : 500
			});
		}
	});

	return self;
}

//make constructor function the public component interface
module.exports = NewsCategoryWindow;
