var NewsView = require('/ui/common/News/NewsView');

var adMob = require('ti.admob');

function NewsWindow() {
	var self = Ti.UI.createWindow({
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		fullscreen : true,
		navBarHidden:true,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	self.addEventListener("open", function() {
		if (Ti.App.Properties.getBool('hideActionBar')) {
			self.activity.actionBar.hide();
		}
	});

	//Sfondo
	self.backgroundImage=rules.setSettingsBackgroundImage(rules.settings.Sfondo);

	var newview = new NewsView();
	self.add(newview);

	self.fill = function(e) {
		newview.fill(e);
	};

	Ti.App.addEventListener('iAd_loaded', function() {
		if (toolkit.Environment.isTablet) 
			newview.bottom = 130;
		else
			newview.bottom = 50;		
	});
	Ti.App.addEventListener('iAd_error', function() {
		newview.bottom = 0;
	});

	var bannerView = Ti.UI.createView({
		height:(Ti.Platform.displayCaps.platformHeight/480)*50,
		bottom:(Ti.Platform.displayCaps.platformHeight/480)*-50
	});
	self.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : '100%',
		height : bannerView.height,
		top : 0,
		publisherId : "ca-app-pub-6154192037192760/1621603334",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener(adMob.AD_RECEIVED,function(){	    
		Ti.App.fireEvent('iAd_loaded');
		if (bannerView.bottom != 0) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	adMobView.addEventListener(adMob.AD_NOT_RECEIVED,function(){
	    Ti.App.fireEvent('iAd_error');
	    if (bannerView.bottom == 0) {
			bannerView.animate({
				bottom : bannerView.height*-1,
				duration : 500
			});
		}
	});

	return self;
}

//make constructor function the public component interface
module.exports = NewsWindow;
