var rules = require('/lib/rules');

var RosaGiocatoreView = require('/ui/common/Rosa/RosaGiocatoreView');
var RosaStatisticheView = require('/ui/common/Rosa/RosaStatisticheView');

function RosaWindow() {
	var self = Ti.UI.createWindow({
		title : 'Rosa dei giocatori',
		fullscreen : true,
		navBarHidden:true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		orientationModes : [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	var campoImage = Ti.UI.createImageView({
		image : '/images/campo/Default-Android.png'
	});
	self.add(campoImage);
	
	var headerView = Ti.UI.createView({
		top : 0,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : self.title
	});
	headerView.add(headerLabel);
	var headerBackLabel = Ti.UI.createLabel({
		right : 10,
		color : '#007aff',
		text : 'chiudi',
		visible : false
	});
	headerBackLabel.addEventListener('click', function() {
		containerStatistiche.visible = false;
		headerBackLabel.visible = false;
	});
	headerView.add(headerBackLabel);

	if (toolkit.Environment.isTablet) {
		headerView.height=60;
		headerLabel.font={
			fontSize:30
		};		
		campoImage.top=60;
	}		
	else {
		headerView.height=30;
		headerLabel.font={
			fontSize:15
		};
		campoImage.top=30;		
	}
	headerBackLabel.font=headerLabel.font;

	var scrollable = Ti.UI.createScrollableView({
		top:headerView.height,
		showPagingControl : false,
		visible : false
	});
	self.add(scrollable);

	var onSuccess = function(items) {
		//Eliminare i presenti
		var views = [];
		for (var i = 0; i < items.length; i++) {
			var rosagiocatoreview = new RosaGiocatoreView();
			rosagiocatoreview.fill(items[i]);
			rosagiocatoreview.addEventListener('click', function() {
				rosastatisticheview.fill(this.tag);
				containerStatistiche.visible = true;
				rosastatisticheview.ShowHide(true);				
				headerBackLabel.visible = true;
			});

			var container = Ti.UI.createView();
			container.add(rosagiocatoreview);

			views.push(container);
		}
		scrollable.views = views;
		scrollable.visible = true;
	};
	var onError = function(e) {
		alert(e);
	};

	self.fill = function() {
		scrollable.visible = false;
		rules.getRosa(onSuccess, onError);
	};

	var containerStatistiche = Ti.UI.createView({
		top:headerView.height
	});
	self.add(containerStatistiche);

	var rosastatisticheview = new RosaStatisticheView();
	containerStatistiche.add(rosastatisticheview);	
	containerStatistiche.visible=false;
	
	return self;
}

//make constructor function the public component interface
module.exports = RosaWindow;
