var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

var MenuWindow = require('/ui/handheld/iphone/MenuWindow');

function HomeWindow() {
	var self = Ti.UI.createWindow({
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		translucent : false,
		backgroundImage : '/images/home/Default.png'
	});

	var menuwindow = new MenuWindow();

	var slideAnimation = Ti.UI.createAnimation({
		left : 0,
		duration : 300
	});

	//Menu
	var menuView = Ti.UI.createView();
	self.add(menuView);
	menuView.addEventListener('click', function() {
		menuwindow.openOption();
		menuwindow.open(slideAnimation);
	});

	//Facebook
	var facebookView = Ti.UI.createView({
		left : 0,
		top : 90,
		width : 135,
		height : 30
	});
	self.add(facebookView);
	facebookView.addEventListener('click', function() {
		Ti.Platform.openURL(rules.settings.Link.Facebook);
	});

	//YouTube
	var youtubeView = Ti.UI.createView({
		left : 0,
		top : 130,
		width : 135,
		height : 30
	});
	self.add(youtubeView);
	youtubeView.addEventListener('click', function() {
		if (rules.settings.Link.YouTube!="-")
			Ti.Platform.openURL(rules.settings.Link.YouTube);
		else
			toolkit.Dialog.Error('Non ancora implementata.');
	});

	//SetButtonPosition
	if (toolkit.Environment.isIPhone5) {
		facebookView.top += 15;
		youtubeView.top += 30;
	};

	return self;
}

module.exports = HomeWindow;
