var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');
var rss = require('/lib/rss');

var BannerNewsView = require('/ui/common/BannerNewsView');

var NewsWindow = require('/ui/handheld/iphone/News/NewsWindow');
var NewsCategoryWindow = require('/ui/handheld/iphone/News/NewsCategoryWindow');
var RosaWindow = require('/ui/handheld/iphone/Rosa/RosaWindow');
var ClassificaWindow = require('/ui/handheld/iphone/Classifica/ClassificaWindow');
var ChampionsWindow = require('/ui/handheld/iphone/Champions/ChampionsWindow');

var adMob = require('ti.admob');

function MenuWindow() {
	var slideAnimation = Ti.UI.createAnimation({
		left : 320,
		duration : 300
	});

	var optionWindow = Ti.UI.createWindow({
		top : 0,
		left : 0,
		width : 240,
		fullscreen : true,
		visible : false
	});

	var table = Ti.UI.createTableView({
		backgroundColor : '#18181a',
		separatorColor : '#000'
	});
	optionWindow.add(table);

	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Home',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Vota l\'app',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Seguici su Facebook',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Seguici su YouTube',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Contatta sviluppatore',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Contatta lo staff',
		color : '#fff'
	}));
	table.addEventListener('click', function(e) {
		switch(e.index) {
			case 0:
				self.animate({
					left : 0,
					duration : 400,
					curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
				}, function() {
					optionWindow.close();
					optionWindow.visible = false;
					self.close(slideAnimation);
				});
				btnSettings.toggle = false;
				break;
			case 1:
				Ti.Platform.openURL(rules.settings.Link.AppStore);
				//'itms-apps://itunes.com/apps/CalcioNapoli'
				break;
			case 2:
				Ti.Platform.openURL(rules.settings.Link.Facebook);
				break;
			case 3:
				if (rules.settings.Link.YouTube != "-")
					Ti.Platform.openURL(rules.settings.Link.YouTube);
				else
					toolkit.Dialog.Error('Non ancora implementata.');
				break;
			case 4:
				Ti.Platform.openURL('http://www.dword.it');
				break;
			case 5:
				var emailDialog = Titanium.UI.createEmailDialog();
				if (!emailDialog.isSupported()) {
					toolkit.Dialog.Error('Impossibile inviare e-mail.');
					return;
				}
				emailDialog.setSubject('Richiesta informazioni');
				emailDialog.setToRecipients([rules.settings.Link.Staff]);
				emailDialog.open();
				break;
		}
	});
/*
	//MENU
	var self = Ti.UI.createWindow({
		left : 320,
		width : 320,
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor
	});
*/

	var btnSettings = Ti.UI.createButton({
		image : '/images/settings.png'
	});
	btnSettings.addEventListener('click', function(e) {
		// If the menu is opened
		if (e.source.toggle == true) {
			self.animate({
				left : 0,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = false;
		}
		// If the menu isn't opened
		else {
			self.animate({
				left : optionWindow.width,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = true;
		}
	});

	var containerWindows = Ti.UI.createWindow({
		title : 'Menu',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		translucent : false,
		fullscreen : true,
		leftNavButton : btnSettings
	});

	var self = Ti.UI.iOS.createNavigationWindow({
		left : 320,
		width : 320,
		window : containerWindows
	});
	//self.add(navGroup);

	//NewsImage
	var newsImage = Ti.UI.createImageView({
		top : 40,
		right : 0,
		height : 80,
		width : 288
	});
	toolkit.Controls.SetIndicator(newsImage);
	newsImage.RemoteImage('http://' + rules.settings.Menu.News.Normal);
	containerWindows.add(newsImage);

	//RosaImage
	var rosaImage = Ti.UI.createImageView({
		top : 125,
		right : 0,
		height : 80,
		width : 173
	});
	toolkit.Controls.SetIndicator(rosaImage);
	rosaImage.RemoteImage('http://' + rules.settings.Menu.Rosa.Normal);
	containerWindows.add(rosaImage);

	//ClassificaImage
	var classificaImage = Ti.UI.createImageView({
		top : 212,
		right : 0,
		height : 80,
		width : 173
	});
	toolkit.Controls.SetIndicator(classificaImage);
	classificaImage.RemoteImage('http://' + rules.settings.Menu.Classifica.Normal);
	containerWindows.add(classificaImage);

	//ChampionsImage
	var championsImage = Ti.UI.createImageView({
		top : 299,
		right : 0,
		height : 80,
		width : 288
	});
	toolkit.Controls.SetIndicator(championsImage);
	championsImage.RemoteImage('http://' + rules.settings.Menu.Champions.Normal);
	containerWindows.add(championsImage);

	//Sfondo
	var menuImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(menuImage);
	menuImage.RemoteImage(rules.setSettingsBackgroundImage(rules.settings.Menu.Sfondo));
	containerWindows.add(menuImage);

	//Banner
	var bannernews = new BannerNewsView();
	bannernews.top = 0;
	containerWindows.add(bannernews);

	var newswindow = new NewsWindow();

	bannernews.addEventListener('selectedItem', function(e) {
		newswindow.fill(e);
		self.openWindow(newswindow);
	});

	rss.Get(rules.settings.News.UltimaOra.rss, {
		success : function(data) {
			bannernews.requery(data);
		}
	});

	//News
	var newscategorywindow = new NewsCategoryWindow(self);
	var btnMenu1 = Ti.UI.createView();
	containerWindows.add(btnMenu1);
	btnMenu1.addEventListener('click', function() {
		newscategorywindow.fill();
		self.openWindow(newscategorywindow);
	});

	//Rosa
	var rosawindow = new RosaWindow();
	rosawindow.addEventListener('close', function() {
		bannerView.animate({
			bottom : 0,
			duration : 500
		}, function() {
			iAdViewVisible = true;
		});
	});

	var btnMenu2 = Ti.UI.createView();
	containerWindows.add(btnMenu2);
	btnMenu2.addEventListener('click', function() {
		iAdViewVisible = false;
		rosawindow.fill();

		bannerView.animate({
			bottom : -50,
			duration : 500
		}, function() {
			self.openWindow(rosawindow);
		});
	});

	//Classifica
	var classificawindow = new ClassificaWindow(self);
	var btnMenu3 = Ti.UI.createView();
	containerWindows.add(btnMenu3);
	btnMenu3.addEventListener('click', function() {
		classificawindow.fill();
		self.openWindow(classificawindow);
	});

	//Champions league
	var championswindow = new ChampionsWindow(self);
	var btnMenu4 = Ti.UI.createView();
	containerWindows.add(btnMenu4);
	btnMenu4.addEventListener('click', function() {
		championswindow.fill();
		self.openWindow(championswindow);
	});

	//SetButtonPosition
	if (toolkit.Environment.isIPhone5) {
		newsImage.top += 40;
		rosaImage.top += 40;
		classificaImage.top += 40;
		championsImage.top += 40;
	};

	//SetClickArea
	btnMenu1.top = newsImage.top;
	btnMenu1.right = newsImage.right;
	btnMenu1.height = newsImage.height;
	btnMenu1.width = newsImage.width;
	btnMenu2.top = rosaImage.top;
	btnMenu2.right = rosaImage.right;
	btnMenu2.height = rosaImage.height;
	btnMenu2.width = rosaImage.width;
	btnMenu3.top = classificaImage.top;
	btnMenu3.right = classificaImage.right;
	btnMenu3.height = classificaImage.height;
	btnMenu3.width = classificaImage.width;
	btnMenu4.top = championsImage.top;
	btnMenu4.right = championsImage.right;
	btnMenu4.height = championsImage.height;
	btnMenu4.width = championsImage.width;

	var bannerView = Ti.UI.createView({
		height : 50,
		bottom : -50
	});
	self.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : 320,
		height : 50,
		top : 0,
		publisherId : "ca-app-pub-2050794059619346/7976947713",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener('didReceiveAd', function() {
		if (bannerView.bottom != 0 && iAdViewVisible) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});

	var iAdViewVisible = true;
	var iAdView = Ti.UI.iOS.createAdView({
		top : 0
	});
	bannerView.add(iAdView);
	//iAd Load
	iAdView.addEventListener('load', function() {
		//Ti.App.fireEvent('iAd_loaded');
		if (bannerView.bottom != 0 && iAdViewVisible) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	iAdView.addEventListener('error', function() {
		//Ti.App.fireEvent('iAd_error');
	});
	Ti.App.fireEvent('iAd_loaded');

	self.openOption = function() {
		optionWindow.open();
	};

	self.addEventListener('open', function() {
		menuImage.top=0;
		bannernews.top = 0;
		optionWindow.visible = true;
	});

	return self;
}

module.exports = MenuWindow;
