var rules = require('/lib/rules');

var RosaGiocatoreView = require('/ui/common/Rosa/RosaGiocatoreView');
var RosaStatisticheView = require('/ui/common/Rosa/RosaStatisticheView');

function RosaWindow() {
	var self = Ti.UI.createWindow({
		title : 'Rosa dei giocatori',
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		navBarHidden : false,
		translucent : false,
		fullscreen : true
	});

	//Sfondo
	var backgroundImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(backgroundImage);
	backgroundImage.RemoteImage(rules.setSettingsBackgroundImage(rules.settings.Sfondo));
	self.add(backgroundImage);

	//Campo
	var campoImage = Ti.UI.createImageView({
		image : '/images/campo/Default.png'
	});
	self.add(campoImage);

	var ind = Titanium.UI.createActivityIndicator({
		height : 30,
		width : 30,
		style : Titanium.UI.iPhone.ActivityIndicatorStyle.PLAIN
	});
	self.add(ind);
	
	var scrollable = Ti.UI.createScrollableView({
		showPagingControl : false
	});
	self.add(scrollable);

	//ANIMATION
	var animationView = Ti.UI.createView({
		width : 251,
		height : 358,
		visible : false
	});
	self.add(animationView);

	var animationgiocatoreView = new RosaGiocatoreView();
	animationView.add(animationgiocatoreView);

	var animationstatisticheView = new RosaStatisticheView();

	var animationbackView = Ti.UI.createView({
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		borderWidth : 2,
		borderColor : '#fff'
	});
	
	var btnStatisticheChiudi = Ti.UI.createButton({
		title : 'Chiudi'
	});
	btnStatisticheChiudi.addEventListener('click', function() {
		self.rightNavButton = null;
		animationView.remove(animationstatisticheView);
		animationbackView.width =  '100%';
		animationbackView.height =  '100%';
		animationView.add(animationbackView);
		
		animationbackView.animate({
			width : 251,
			height : 358,
			duration : 500
		}, function() {
			animationView.animate({
				view : animationgiocatoreView,
				transition : Ti.UI.iPhone.AnimationStyle.FLIP_FROM_RIGHT,
				duration : 500
			}, function() {
				scrollable.visible = true;
				animationView.visible = false;
			});
		});
	});

	var onSuccess = function(items) {
		//Eliminare i presenti
		var views = [];
		for (var i = 0; i < items.length; i++) {
			var rosagiocatoreview = new RosaGiocatoreView();
			rosagiocatoreview.fill(items[i]);
			rosagiocatoreview.addEventListener('click', function() {
				animationgiocatoreView.fill(this.tag);
				animationstatisticheView.fill(this.tag);
				animationstatisticheView.ShowHide(false);

				animationView.width = 251;
				animationView.height = 358;
				animationView.visible = true;
				scrollable.visible = false;

				animationView.animate({
					view : animationstatisticheView,
					transition : Ti.UI.iPhone.AnimationStyle.FLIP_FROM_LEFT,
					duration : 500
				}, function() {
					animationView.animate({
						width : '100%',
						height : '100%',
						duration : 500
					}, function() {
						self.rightNavButton = btnStatisticheChiudi;
						animationstatisticheView.ShowHide(true);
					});
				});
			});
			views.push(rosagiocatoreview);
		}
		scrollable.views = views;		
		scrollable.visible = true;
		ind.hide();		
	};
	var onError = function(e) {
		alert(e);
	};

	self.fill = function() {
		ind.show();
		scrollable.visible = false;
		rules.getRosa(onSuccess, onError);
	};

	return self;
}

//make constructor function the public component interface
module.exports = RosaWindow;
