var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');

var MenuWindow = require('/ui/tablet/MenuWindow');

function HomeWindow() {
	var self = Ti.UI.createWindow({
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor,
		translucent : false,
		modal:true, exitOnClose: true,
		orientationModes : [Titanium.UI.LANDSCAPE_LEFT, Titanium.UI.LANDSCAPE_RIGHT, Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT]
	});

	var menuwindow = new MenuWindow();

	var slideAnimation = Ti.UI.createAnimation({
		left : 0,
		duration : 300
	});

	//Menu
	var menuView = Ti.UI.createView();
	self.add(menuView);
	menuView.addEventListener('click', function() {
		menuwindow.openOption();
		menuwindow.left=Ti.Platform.displayCaps.getPlatformWidth();
		menuwindow.open(slideAnimation);
	});

	//Facebook
	var facebookView = Ti.UI.createView({
		left : 0,
		width : 270,
		height : 60
	});
	self.add(facebookView);
	facebookView.addEventListener('click', function() {
		Ti.Platform.openURL(rules.settings.Link.Facebook);
	});

	//YouTube
	var youtubeView = Ti.UI.createView({
		left : 0,
		width : 270,
		height : 60
	});
	self.add(youtubeView);
	youtubeView.addEventListener('click', function() {
		if (rules.settings.Link.YouTube!="-")
			Ti.Platform.openURL(rules.settings.Link.YouTube);
		else
			toolkit.Dialog.Error('Non ancora implementata.');
	});

	//SetButtonPosition
	if (Ti.Platform.model == 'iphone 5') {
		facebookView.top += 15;
		youtubeView.top += 30;
	};

	var SetOrientation = function() {
		var numEleOrientation = rules.getOrientation();

		if (numEleOrientation == 3) {
			self.backgroundImage = '/images/home/Default-Portrait.png';
			facebookView.top = 425;
			youtubeView.top = 515;
		} else {
			self.backgroundImage = '/images/home/Default-Landscape.png';
			facebookView.top = 265;
			youtubeView.top = 350;
		}
	};

	Titanium.Gesture.addEventListener('orientationchange', function(e) {
		SetOrientation();
	});

	SetOrientation();

	return self;
}

module.exports = HomeWindow;
