var toolkit = require('/lib/toolkit');
var rules = require('/lib/rules');
var rss = require('/lib/rss');

var BannerNewsView = require('/ui/common/BannerNewsView');

var NewsCategoryWindow = require('/ui/tablet/News/NewsCategoryWindow');
var RosaWindow = require('/ui/tablet/Rosa/RosaWindow');
var ClassificaWindow = require('/ui/tablet/Classifica/ClassificaWindow');
var ChampionsWindow = require('/ui/tablet/Champions/ChampionsWindow');

var adMob = require('ti.admob');

function MenuWindow() {
	var slideAnimation = Ti.UI.createAnimation({
		duration : 300
	});

	var optionWindow = Ti.UI.createWindow({
		top : 0,
		left : 0,
		width : 240,
		fullscreen : true,
		visible : false
	});

	var table = Ti.UI.createTableView({
		backgroundColor : '#18181a',
		separatorColor : '#000'
	});
	optionWindow.add(table);

	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Home',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Vota l\'app',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Seguici su Facebook',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Seguici su YouTube',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Contatta sviluppatore',
		color : '#fff'
	}));
	table.appendRow(Ti.UI.createTableViewRow({
		title : 'Contatta lo staff',
		color : '#fff'
	}));
	table.addEventListener('click', function(e) {
		switch(e.index) {
			case 0:
				slideAnimation.left = Ti.Platform.displayCaps.getPlatformWidth();

				self.animate({
					left : 0,
					duration : 400,
					curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
				}, function() {
					optionWindow.close();
					optionWindow.visible = false;
					self.close(slideAnimation);
				});
				btnSettings.toggle = false;
				break;
			case 1:
				Ti.Platform.openURL(rules.settings.Link.AppStore);
				break;
			case 2:
				Ti.Platform.openURL(rules.settings.Link.Facebook);
				break;
			case 3:
				if (rules.settings.Link.YouTube != "-")
					Ti.Platform.openURL(rules.settings.Link.YouTube);
				else
					toolkit.Dialog.Error('Non ancora implementata.');
				break;
			case 4:
				Ti.Platform.openURL('http://www.dword.it');
				break;
			case 5:
				var emailDialog = Titanium.UI.createEmailDialog();
				if (!emailDialog.isSupported()) {
					toolkit.Dialog.Error('Impossibile inviare e-mail.');
					return;
				}
				emailDialog.setSubject('Richiesta informazioni');
				emailDialog.setToRecipients([rules.settings.Link.Staff]);
				emailDialog.open();
				break;
		}
	});

	//MENU
	var self = Ti.UI.createWindow({
		left : 320,
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor
	});

	var btnSettings = Ti.UI.createButton({
		left : 10,
		image : '/images/menu.png'
	});
	btnSettings.addEventListener('click', function(e) {
		// If the menu is opened
		if (e.source.toggle == true) {
			self.animate({
				left : 0,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = false;
		}
		// If the menu isn't opened
		else {
			self.animate({
				left : optionWindow.width,
				duration : 400,
				curve : Ti.UI.ANIMATION_CURVE_EASE_IN_OUT
			});
			e.source.toggle = true;
		}
	});

	var headerView = Ti.UI.createView({
		top : 0,
		height : 60,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : 'Menu'
	});
	headerView.add(headerLabel);
	headerView.add(btnSettings);

	//NewsImage
	var newsImage = Ti.UI.createImageView({
		right : 0
	});
	toolkit.Controls.SetIndicator(newsImage);
	newsImage.RemoteImage('http://' + rules.settings.Menu.News.Normal);
	self.add(newsImage);

	//RosaImage
	var rosaImage = Ti.UI.createImageView({
		right : 0
	});
	toolkit.Controls.SetIndicator(rosaImage);
	rosaImage.RemoteImage('http://' + rules.settings.Menu.Rosa.Normal);
	self.add(rosaImage);

	//ClassificaImage
	var classificaImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(classificaImage);
	classificaImage.RemoteImage('http://' + rules.settings.Menu.Classifica.Normal);
	self.add(classificaImage);

	//ChampionsImage
	var championsImage = Ti.UI.createImageView();
	toolkit.Controls.SetIndicator(championsImage);
	championsImage.RemoteImage('http://' + rules.settings.Menu.Champions.Normal);
	self.add(championsImage);

	//Sfondo
	var menuImage = Ti.UI.createImageView({
		top : 60
	});
	toolkit.Controls.SetIndicator(menuImage);
	self.add(menuImage);

	//Banner
	var bannernews = new BannerNewsView(18);
	bannernews.top = 60;
	bannernews.height = 60;
	bannernews.addEventListener('selectedItem', function(e) {
		btnMenu1.fireEvent('click');
	});
	self.add(bannernews);

	rss.Get(rules.settings.News.UltimaOra.rss, {
		success : function(data) {
			bannernews.requery(data);
		}
	});

	//News
	var newscategorywindow = new NewsCategoryWindow();
	var btnMenu1 = Ti.UI.createView({
		//backgroundColor:'red',
		//opacity:0.5
	});
	self.add(btnMenu1);
	btnMenu1.addEventListener('click', function() {
		newscategorywindow.fill();
		newscategorywindow.left = Ti.Platform.displayCaps.getPlatformWidth();
		newscategorywindow.open(Ti.UI.createAnimation({
			left : 0,
			duration : 300
		}));
	});

	//Rosa
	var rosawindow = new RosaWindow();
	rosawindow.addEventListener('close', function() {
		bannerView.animate({
			bottom : 0,
			duration : 500
		}, function() {
			iAdViewVisible = true;
		});
	});

	var btnMenu2 = Ti.UI.createView({
		//backgroundColor:'red',
		//opacity:0.5
	});
	self.add(btnMenu2);
	btnMenu2.addEventListener('click', function() {
		rosawindow.fill();
		rosawindow.open();
	});

	//Classifica
	var classificawindow = new ClassificaWindow();
	var btnMenu3 = Ti.UI.createView({
		//backgroundColor:'red',
		//opacity:0.5
	});
	self.add(btnMenu3);
	btnMenu3.addEventListener('click', function() {
		classificawindow.fill();
		classificawindow.open();
	});

	//Champions league
	var championswindow = new ChampionsWindow();
	var btnMenu4 = Ti.UI.createView({
		//backgroundColor:'red',
		//opacity:0.5
	});
	self.add(btnMenu4);
	btnMenu4.addEventListener('click', function() {
		championswindow.fill();
		championswindow.open();
	});

	//SetButtonPosition
	if (Ti.Platform.model == 'iphone 5') {
		newsImage.top += 40;
		rosaImage.top += 40;
		classificaImage.top += 50;
		championsImage.top += 50;
	};

	var bannerView = Ti.UI.createView({
		height : 50,
		bottom : -50,
		backgroundColor : '#fff'
	});
	self.add(bannerView);

	//adMob
	var adMobView = adMob.createView({
		width : '100%',
		height : 50,
		top : 0,
		publisherId : "ca-app-pub-2050794059619346/7976947713",
		testing : false
	});
	bannerView.add(adMobView);
	adMobView.addEventListener('didReceiveAd', function() {
		if (bannerView.bottom != 0 && iAdViewVisible) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});

	var iAdViewVisible = true;
	var iAdView = Ti.UI.iOS.createAdView({
		width : '100%',
		top : 0
	});
	bannerView.add(iAdView);
	//iAd Load
	iAdView.addEventListener('load', function() {
		//Ti.App.fireEvent('iAd_loaded');
		if (bannerView.bottom != 0 && iAdViewVisible) {
			bannerView.animate({
				bottom : 0,
				duration : 500
			});
		}
	});
	iAdView.addEventListener('error', function() {
		//Ti.App.fireEvent('iAd_error');
	});
	Ti.App.fireEvent('iAd_loaded');

	self.openOption = function() {
		optionWindow.open();
	};

	self.addEventListener('open', function() {
		optionWindow.visible = true;
	});

	var SetOrientation = function() {
		self.width = Ti.Platform.displayCaps.getPlatformWidth();
		menuImage.RemoteImage(rules.setSettingsBackgroundImage(rules.settings.Menu.Sfondo));

		var numEleOrientation = rules.getOrientation();

		if (numEleOrientation == 3) {
			newsImage.top = 150;
			newsImage.height = 180;
			newsImage.width = 675;
			rosaImage.top = 355;
			rosaImage.height = 180;
			rosaImage.width = 405;
			classificaImage.top = 560;
			classificaImage.left = undefined;
			classificaImage.right = 0;
			classificaImage.height = 180;
			classificaImage.width = 405;
			championsImage.top = 770;
			championsImage.left = undefined;
			championsImage.right = 0;
			championsImage.height = 180;
			championsImage.width = 675;
		} else {
			newsImage.top = 190;
			newsImage.height = 120;
			newsImage.width = 480;
			rosaImage.top = 330;
			rosaImage.height = 125;
			rosaImage.width = 288;
			classificaImage.top = 385;
			classificaImage.left = 0;
			classificaImage.right = undefined;
			classificaImage.height = 125;
			classificaImage.width = 288;
			championsImage.top = 528;
			championsImage.left = 0;
			championsImage.right = undefined;
			championsImage.height = 120;
			championsImage.width = 480;
		}

		//SetClickArea
		btnMenu1.top = newsImage.top;
		btnMenu1.right = newsImage.right;
		btnMenu1.left = newsImage.left;
		btnMenu1.height = newsImage.height;
		btnMenu1.width = newsImage.width;
		btnMenu2.top = rosaImage.top;
		btnMenu2.right = rosaImage.right;
		btnMenu2.left = rosaImage.left;
		btnMenu2.height = rosaImage.height;
		btnMenu2.width = rosaImage.width;
		btnMenu3.top = classificaImage.top;
		btnMenu3.right = classificaImage.right;
		btnMenu3.left = classificaImage.left;
		btnMenu3.height = classificaImage.height;
		btnMenu3.width = classificaImage.width;
		btnMenu4.top = championsImage.top;
		btnMenu4.right = championsImage.right;
		btnMenu4.left = championsImage.left;
		btnMenu4.height = championsImage.height;
		btnMenu4.width = championsImage.width;
	};

	Titanium.Gesture.addEventListener('orientationchange', function(e) {
		SetOrientation();
	});

	SetOrientation();

	return self;
}

module.exports = MenuWindow;
