var toolkit = require('/lib/toolkit');

var NewsCategoryView = require('/ui/common/News/NewsCategoryView');
var NewsView = require('/ui/common/News/NewsView');

function NewsCategoryWindow() {
	var self = Ti.UI.createWindow({
		fullscreen : true,
		backgroundColor : rules.settings.Styles.Window.backgroundColor
	});

	var slideAnimation = Ti.UI.createAnimation({
		duration : 300
	});

	var headerView = Ti.UI.createView({
		top : 0,
		height : 60,
		backgroundColor : '#fff'
	});
	self.add(headerView);
	var headerLabel = Ti.UI.createLabel({
		color : '#000',
		text : 'News'
	});
	headerView.add(headerLabel);
	var headerBackLabel = Ti.UI.createLabel({
		left : 40,
		color : '#007aff',
		text : 'Menu'
	});
	headerBackLabel.addEventListener('click', function() {
		headerBack.fireEvent('click');
	});
	headerView.add(headerBackLabel);
	var headerBack = Ti.UI.createLabel({
		color : '#007aff',
		text : '<',
		top : -4,
		left : 10,
		height : 60,
		font : {
			fontSize : 40
		}
	});
	headerBack.addEventListener('click', function() {
		slideAnimation.left = Ti.Platform.displayCaps.getPlatformWidth();
		self.close(slideAnimation);
	});
	headerView.add(headerBack);

	var newsview = new NewsView();
	newsview.top = 90;
	newsview.left = 320;
	self.add(newsview);

	var newscategoryview = new NewsCategoryView();
	newscategoryview.top = 60;
	newscategoryview.left = 0;
	newscategoryview.width = 320;
	self.add(newscategoryview);

	newscategoryview.addEventListener('selectedItem', function(e) {
		newsview.fill(e);
	});

	self.fill = function() {
		newscategoryview.fill();
	};

	var SetOrientation = function() {

	};

	Titanium.Gesture.addEventListener('orientationchange', function(e) {
		SetOrientation();
	});

	SetOrientation();

	self.addEventListener('load', SetOrientation);

	Ti.App.addEventListener('iAd_loaded', function() {
		self.bottom = 50;
	});
	Ti.App.addEventListener('iAd_error', function() {
		self.bottom = 0;
	});

	return self;
}

//make constructor function the public component interface
module.exports = NewsCategoryWindow;
